1.0
1.0
post /v1/kms/openapi/decrypt/{key_id}
Description
키(용도:암호화/복호화)를 사용하여 제공된 암호문을 해독합니다.
상태 ACTIVE (DEPRECATED)
| 버전 | 최소 지원 보장일 |
|---|---|
| 1.0 | 20251231 |
Parameters
| Type | Name | Description | Schema | Default |
|---|---|---|---|---|
| path | key_id required | KMS 키 자원 아이디 Example : 138c2fc8c29a449dbfa8681f8f1d78e2 | string | None |
| body | body required | DecryptRequest |
Responses
| HTTP Code | Description | Schema |
|---|---|---|
| 200 | OK | DecryptResponse |
| 400 | Bad Request | None |
| 401 | Unauthorized | None |
| 403 | Forbidden | None |
Example HTTP request
Request path
/v1/kms/openapi/decrypt/{key_id}
Request header
"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = kms 1.0"
Request body
{
"ciphertext": "vault:v283:YiUpW1bpF2fMY0VR332Qpik781Ul2gFPsfdwsypwouccHtPSfRaE40wTHHl4a5AK"
}
Example HTTP response
Response 200
{
"plaintext": "dGhlIHF1aWNrIGJyb3duIGZveAo="
}